unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  EditBtn, JvScheduledEvents, JclSchedule, ZVDateTimePicker;

type

  { TForm1 }

  TForm1 = class(TForm)
    ApplicationProperties1: TApplicationProperties;
    Button1: TButton;
    Button2: TButton;
    Button4: TButton;
    DateEdit1: TDateEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
     event : TJvEventCollectionItem;
     FColl  : TJvEventCollection;
    { private declarations }
  public
    { public declarations }
   sched : IJclSchedule;
  published

    property coll  : TJvEventCollection read FColl write FColl;
  end; 

var
  Form1: TForm1; 

implementation
uses JvScheduleEditorForm, LResources, JvAppEvent;

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);

begin
  coll  := TJvEventCollection.Create(self);
  event := TJvEventCollectionItem.Create(coll);
  sched := event.Schedule;
  event.Name :='hello';
  FrmScheduleEditor.Schedule := sched;
//  include(fComponentStyle,csSubComponent);
end;

procedure TForm1.Button2Click(Sender: TObject);
var AStream: TMemoryStream;
begin
  AStream:=TMemoryStream.Create;
  try
    WriteComponentAsTextToStream(AStream, self);
    aStream.SaveToFile('c:\test.txt');
  finally
    AStream.Free;
  end;

   //coll.Destroy;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  frmscheduleeditor.ShowModal;
end;


end.

